package ink.wgink.module.form.pojo.pos.docnolog;

/**
 *
 * @ClassName: DocNoLogPO
 * @Description: 文号日志
 * @Author: CodeFactory
 * @Date: 2022-06-29 14:19:06
 * @Version: 3.0
 **/
public class DocNoLogPO {

    private String docNoLogId;
    private String docNoId;
    private String docNoUsedId;
    private Integer docNoYear;
    private Integer docNoMonth;
    private Integer docNoDay;
    private Integer docNoNu;
    private String docNoFull;
    private String gmtCreate;
    private String creator;

    public String getDocNoLogId() {
        return docNoLogId == null ? "" : docNoLogId.trim();
    }

    public void setDocNoLogId(String docNoLogId) {
        this.docNoLogId = docNoLogId;
    }

    public String getDocNoId() {
        return docNoId == null ? "" : docNoId.trim();
    }

    public void setDocNoId(String docNoId) {
        this.docNoId = docNoId;
    }

    public String getDocNoUsedId() {
        return docNoUsedId == null ? "" : docNoUsedId.trim();
    }

    public void setDocNoUsedId(String docNoUsedId) {
        this.docNoUsedId = docNoUsedId;
    }

    public Integer getDocNoYear() {
        return docNoYear == null ? 0 : docNoYear;
    }

    public void setDocNoYear(Integer docNoYear) {
        this.docNoYear = docNoYear;
    }

    public Integer getDocNoMonth() {
        return docNoMonth == null ? 0 : docNoMonth;
    }

    public void setDocNoMonth(Integer docNoMonth) {
        this.docNoMonth = docNoMonth;
    }

    public Integer getDocNoDay() {
        return docNoDay == null ? 0 : docNoDay;
    }

    public void setDocNoDay(Integer docNoDay) {
        this.docNoDay = docNoDay;
    }

    public Integer getDocNoNu() {
        return docNoNu == null ? 0 : docNoNu;
    }

    public void setDocNoNu(Integer docNoNu) {
        this.docNoNu = docNoNu;
    }

    public String getDocNoFull() {
        return docNoFull == null ? "" : docNoFull.trim();
    }

    public void setDocNoFull(String docNoFull) {
        this.docNoFull = docNoFull;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }


}
